#Eneroth Camera Memory

#Author:	Julia Christina Eneroth, Eneroth3, eneroth3@gmail.com

#Usage
#	Menu: Camera
#		Put to memory:			Saves camera to file in this plugin's folder
#		Retrieve from memory:	Recover from file

#Copyright Julia Christina Eneroth (eneroh3)
#	Free to use both professional and unprofessional.
#	Free to spread as long as credit goes to me.

#Known bugs and issues
#	<none>

#Changelog
#	1.0.0 2013-06-03
#		Rewrote from old, badly documented plugin of mine without a version number
# 1.0.1 2013-12-15
#   *Can now be loaded from other folder than plugin default
#   *Spelling

#Load the normal support files
require 'sketchup.rb'
require 'extensions.rb'


module Ene_camMemory

PLUGIN_ROOT = File.dirname(__FILE__) unless defined?(self::PLUGIN_ROOT)

ex = SketchupExtension.new("Eneroth Camera Memory", File.join(PLUGIN_ROOT, "/ene_camMemory/main.rb"))
ex.description = "Saves the camera position in just 2 clicks so it can be retrieved later. Works between models. Perfect for version comparison for instance."
ex.version = "1.0.1"
ex.copyright = "Julia Christina (eneroth3) Eneroth 2013"
ex.creator = "Julia Christina (eneroth3) Eneroth"
Sketchup.register_extension ex, true

end#module